Bug 1284288 - [Docs] Replace rhevm network with ovirtmgmt network as it is now the default name for the management network
Summary: [Docs] Replace rhevm network with ovirtmgmt network as it is now the default ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.1
: 3.6.1
Assignee: Lucy Bopf
QA Contact: Andrew Dahms
URL:
Whiteboard: docs
Depends On: 1204793
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-22 22:40 UTC by Julie
Modified: 2016-02-10 18:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1204793
Environment:
Last Closed: 2016-01-13 04:45:12 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 42384 None None None Never

Description Julie 2015-11-22 22:40:41 UTC
+++ This bug was initially created as a clone of Bug #1204793 +++

Description of problem:
Reduce diff between upstream and downstream management networks, use the same name for new clusters. ovirt-mgmt should be used for both ovirt & RHEV.
Need to make sure we do not change existing networks and only use new name for new clusters.

--- Additional comment from Sandro Bonazzola on 2015-06-15 09:17:24 EDT ---

Yaniv, how do you plan to support 3.5 clusters managed by 3.6 engine?
3.5 cluster will have rhevm bridges and 3.6 will have ovirtmgmt.

--- Additional comment from Sandro Bonazzola on 2015-06-15 09:21:59 EDT ---

Also Yaniv, how does this fit on a Hosted engine deployment upgraded from 3.5 to 3.6?

--- Additional comment from Yaniv Dary on 2015-06-17 03:56:19 EDT ---

(In reply to Sandro Bonazzola from comment #1)
> Yaniv, how do you plan to support 3.5 clusters managed by 3.6 engine?

In upgrades it will not change only on fresh installs.

> 3.5 cluster will have rhevm bridges and 3.6 will have ovirtmgmt.

(In reply to Sandro Bonazzola from comment #2)
> Also Yaniv, how does this fit on a Hosted engine deployment upgraded from
> 3.5 to 3.6?

The hosted engine needs to know what management network default name is defined, just like the engine.

--- Additional comment from Sandro Bonazzola on 2015-06-18 01:55:46 EDT ---

According to comment #3 I'm going to accept the patch for rhevm-setup-plugins.
Will drop the branding also on ovirt-hosted-engine-setup and treat any issue derived by this change as a bug.

--- Additional comment from Julie on 2015-11-15 23:45:21 EST ---

Hi Yaniv,
   Could you provide some context on why reducing the difference between upstream and downstream is important? 

Cheers,
Julie

--- Additional comment from Yaniv Dary on 2015-11-22 07:41:29 EST ---

(In reply to Julie from comment #5)
> Hi Yaniv,
>    Could you provide some context on why reducing the difference between
> upstream and downstream is important? 

it's not. We just need to make sure all the 3.6 docs only have this management network mentioned and not the old one.

> 
> Cheers,
> Julie

--- Additional comment from Julie on 2015-11-22 17:32:20 EST ---

(In reply to Yaniv Dary from comment #6)
> (In reply to Julie from comment #5)
> > Hi Yaniv,
> >    Could you provide some context on why reducing the difference between
> > upstream and downstream is important? 
> 
> it's not. We just need to make sure all the 3.6 docs only have this
> management network mentioned and not the old one.
> 
> > 
> > Cheers,
> > Julie

So if it's not important, why go through the engineering effort to make this change? As you see, this creates extra workload for the docs team as well. I will create a docs bug for this. Ideally, if Engineering or the PM team see there is docs impact, a docs bug should be created already.

Cheers,
Julie

Comment 3 Andrew Dahms 2015-12-11 04:49:18 UTC
Looks good to me; moving to VERIFIED.

Revision history entries updated in all affected books.


Note You need to log in before you can comment on or make changes to this bug.